---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: openebs
  namespace: openebs
spec:
  interval: 5m
  chart:
    spec:
      chart: openebs
      version: 2.2.0
      sourceRef:
        kind: HelmRepository
        name: openebs
        namespace: gotk-system
      interval: 1m
  test:
    enable: false # Enable helm test
  install:
    remediation: # perform remediation when helm install fails
      retries: 3
  upgrade:
    remediation: # perform remediation when helm upgrade fails
      retries: 3
      remediateLastFailure: true # remediate the last failure, when no retries remain
    cleanupOnFail: true
  rollback:
    timeout: 1m
    cleanupOnFail: true
  values:
    rbac:
      pspEnabled: true
    apiserver:
      image: openebs/m-apiserver-arm64
      sparse:
        enabled: true
    provisioner:
      image: openebs/openebs-k8s-provisioner-arm64
    localprovisioner:
      image: openebs/provisioner-localpv-arm64
    snapshotOperator:
      controller:
        image: openebs/snapshot-controller-arm64
      provisioner:
        image: openebs/snapshot-provisioner-arm64
    ndm:
      sparse:
        count: 1
      nodeSelector:
        openebs.io/nodegroup: storage-node
    webhook:
      image: openebs/admission-server-arm64
    cstor:
      pool:
        image: openebs/cstor-pool-arm64
      poolMgmt:
        image: openebs/cstor-pool-mgmt-arm64
      target:
        image: openebs/cstor-istgt-arm64
      volumeMgmt:
        image: openebs/cstor-volume-mgmt-arm64
    policies:
      monitoring:
        image: openebs/m-exporter-arm64
